from drf_yasg import openapi

title_param = openapi.Parameter(
    'title',
    openapi.IN_QUERY,
    description='Blogs title',
    type=openapi.TYPE_STRING,
)

status_param = openapi.Parameter(
    'status',
    openapi.IN_QUERY,
    description='Blogs status',
    type=openapi.TYPE_INTEGER,
)

category_param = openapi.Parameter(
    'category',
    openapi.IN_QUERY,
    description='Blogs category',
    type=openapi.TYPE_STRING,
)

start_date_param = openapi.Parameter(
    'start_date',
    openapi.IN_QUERY,
    description='Start Date',
    type=openapi.TYPE_STRING,
    required=True,
)

end_date_param = openapi.Parameter(
    'end_date',
    openapi.IN_QUERY,
    description='End Date',
    type=openapi.TYPE_STRING,
    required=True,
)


first_letter_param = openapi.Parameter(
    'first_letter',
    openapi.IN_QUERY,
    description='First letter',
    type=openapi.TYPE_STRING,
    maxLength=1,
)
